## pykcs11 1.2.1

=== Makefile ===
# give some default values
PREFIX ?= /usr
DESTDIR ?= /
ifeq (, $(PYTHON))
ifeq (, $(PYTHONVER))
	PYTHONVER=2.4
endif
PYTHON=python$(PYTHONVER)
endif

build: build-stamp

build-stamp: src/unix_pykcs11_wrap.cpp
	$(PYTHON) setup.py build
	touch build-stamp

install: build
	$(PYTHON) setup.py install --prefix=$(PREFIX) --root=$(DESTDIR)

clean distclean:
	$(PYTHON) setup.py clean
	rm -f src/unix_pykcs11_wrap.cpp
	rm -rf build
	rm -f *.pyc PyKCS11/*.pyc
	rm -f PyKCS11/LowLevel.py
	rm -f build-stamp

rebuild: clean build

src/unix_pykcs11_wrap.cpp: src/pykcs11.i
	cd src ; swig -c++ -python pykcs11.i ; mv pykcs11_wrap.cxx unix_pykcs11_wrap.cpp ; mv LowLevel.py ../PyKCS11

src/pykcs11.i: src/opensc/pkcs11.h src/pkcs11lib.h src/pykcs11string.h src/ck_attribute_smart.h
	touch $@

dist:
	$(PYTHON) setup.py sdist
	
doc: build
	rm -rf html
	epydoc --verbose PyKCS11

.PHONY: build install clean rebuild dist doc

## pykcs11 1.2.2

=== debian/changelog ===
pykcs11 (1.2.2-1) unstable; urgency=low

  * New upstream release
  * debian/control: Fix lintian I: pykcs11 source:
    binary-control-field-duplicates-source field "section" in package
    python-pykcs11
  * debian/control: Standards-Version: 3.8.3 -> 3.8.4, no change needed
  * debian/source/format: change from "1.0" to "3.0 (quilt)" to easily patch
    the package

 -- Ludovic Rousseau <rousseau@debian.org>  Wed, 16 Jun 2010 09:29:15 +0200

pykcs11 (1.2.1-3) unstable; urgency=low

  * debian/rules: allow to build without python2.4 (and with python2.6)
  * debian/control: Standards-Version: 3.8.1 -> 3.8.3. no change needed.

 -- Ludovic Rousseau <rousseau@debian.org>  Sat, 14 Nov 2009 18:35:51 +0100

pykcs11 (1.2.1-2) unstable; urgency=low

  * Fix "Missing watch file" add debian/watch (Closes: #520200)
  * use debhelper V7
  * update Standards-Version: from 3.7.2 to 3.8.1
    add support of parallel and nostrip in DEB_BUILD_OPTIONS

 -- Ludovic Rousseau <rousseau@debian.org>  Wed, 18 Mar 2009 14:49:15 +0000

pykcs11 (1.2.1-1) unstable; urgency=low

  * New upstream release
   - use pkcs11.h from OpenSC instead of (non-free) rsaref
  * debian/copyright: add licence for src/opensc/* and remove licence for
    src/rsaref/*

 -- Ludovic Rousseau <rousseau@debian.org>  Fri, 14 Nov 2008 19:18:39 +0000

pykcs11 (1.2.0-1) unstable; urgency=low

  * New upstream release

 -- Ludovic Rousseau <rousseau@debian.org>  Sat, 30 Aug 2008 13:02:36 +0000

pykcs11 (1.1.1-1) unstable; urgency=low

  * Initial release (Closes: #489369).  ITP: python-pykcs11 -- a complete RSA
    PKCS#11 wrapper for Python

 -- David Smith <davidsmith@acm.org>  Sat, 05 Jul 2008 20:28:46 +0900

=== debian/control ===
Source: pykcs11
Priority: optional
Maintainer: Ludovic Rousseau <rousseau@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>, David Smith <davidsmith@acm.org>
Build-Depends: debhelper (>= 7.0.0), swig, python-central (>= 0.5.6), python-all-dev (>= 2.3.5-11)
Standards-Version: 3.8.4
Section: python
XS-Python-Version: all
Vcs-Svn: svn://svn.debian.org/python-modules/packages/pykcs11/trunk
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/pykcs11/trunk/
Homepage: http://www.bit4id.org/trac/pykcs11/

Package: python-pykcs11
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: PKCS#11 wrapper for Python
 PyKCS11 let you access to almost all PKCS#11 functions and data types using
 any PKCS#11 library, such as the various modules supplied by smartcard
 vendors.
 .
 The wrapper comes with 2 interfaces: a low level and very thin interface over
 the original PKCS#11 API, generated using the SWIG compiler (designed for
 library tests); and an high level interface that offers a simpler access (with
 few limits) to the PKCS#11 APIs.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g
INSTALL = install
INSTALL_PROGRAM = $(INSTALL) -p    -o root -g root  -m  755

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	MAKEFLAGS += -j$(NUMJOBS)
endif

PYDEF=$(shell pyversions -d)
PYVERS=$(shell pyversions -r)


build: build-stamp
build-stamp:
	dh_testdir
	set -e; \
	for python in $(PYVERS); do \
		python=$$(echo $$python | sed "s/$(PYDEF)/python/"); \
		make build PYTHON=$$python; \
	done
	touch build-stamp

clean:
	dh_testdir
	for python in $(PYVERS); do \
		python=$$(echo $$python | sed "s/$(PYDEF)/python/"); \
		$$python setup.py clean; \
	done
	rm -rf build-stamp build

	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) clean PYTHON=python

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	set -e; \
	for python in $(PYVERS); do \
		python=$$(echo $$python | sed "s/$(PYDEF)/python/"); \
		$$python setup.py install --root=debian/python-pykcs11; \
	done

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_pycentral
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## pykcs11 1.2.3

=== debian/changelog ===
pykcs11 (1.2.3-6) unstable; urgency=low

  * Fix "Can't be found with "apt-cache search pkcs11 python""
    Add a Keywords: line in the package long description (Closes: #636163)

 -- Ludovic Rousseau <rousseau@debian.org>  Fri, 05 Aug 2011 17:02:58 +0200

pykcs11 (1.2.3-5) unstable; urgency=low

  * rebuild to add support of python 2.7 and remove support of python 2.5
  * debian/control: Standards-Version: 3.9.1 -> 3.9.2, no change needed.

 -- Ludovic Rousseau <rousseau@debian.org>  Sat, 23 Apr 2011 16:26:53 +0200

pykcs11 (1.2.3-4) unstable; urgency=low

  * debian/rules: use a minimal version

 -- Ludovic Rousseau <rousseau@debian.org>  Sat, 23 Apr 2011 16:22:05 +0200

pykcs11 (1.2.3-3) unstable; urgency=low

  * Fix "deprecation of dh_pycentral, please use dh_python2" by using
    dh_python2 (Closes: #616969)
  * debian/rules: add --install-layout=deb

 -- Ludovic Rousseau <rousseau@debian.org>  Wed, 09 Mar 2011 18:54:41 +0100

pykcs11 (1.2.3-2) unstable; urgency=low

  * upload to unstable

 -- Ludovic Rousseau <rousseau@debian.org>  Wed, 09 Feb 2011 23:20:50 +0100

pykcs11 (1.2.3-1) experimental; urgency=low

  * New upstream release
  * debian/control: Standards-Version: 3.8.4 -> 3.9.1, no change needed

 -- Ludovic Rousseau <rousseau@debian.org>  Fri, 03 Dec 2010 14:36:09 +0100

=== debian/control ===
Source: pykcs11
Priority: optional
Maintainer: Ludovic Rousseau <rousseau@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>, David Smith <davidsmith@acm.org>
Build-Depends: debhelper (>= 7.0.0), swig, python-all-dev (>= 2.6.6-3)
Standards-Version: 3.9.2
Section: python
Vcs-Svn: svn://svn.debian.org/python-modules/packages/pykcs11/trunk
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/pykcs11/trunk/
Homepage: http://www.bit4id.org/trac/pykcs11/

Package: python-pykcs11
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Provides: ${python:Provides}
Description: PKCS#11 wrapper for Python
 PyKCS11 let you access to almost all PKCS#11 functions and data types using
 any PKCS#11 library, such as the various modules supplied by smartcard
 vendors.
 .
 The wrapper comes with 2 interfaces: a low level and very thin interface over
 the original PKCS#11 API, generated using the SWIG compiler (designed for
 library tests); and an high level interface that offers a simpler access (with
 few limits) to the PKCS#11 APIs.
 .
 Keywords: pkcs11

## pykcs11 1.2.4

=== Makefile ===
--- 
+++ 
@@ -2,10 +2,7 @@
 PREFIX ?= /usr
 DESTDIR ?= /
 ifeq (, $(PYTHON))
-ifeq (, $(PYTHONVER))
-	PYTHONVER=2.4
-endif
-PYTHON=python$(PYTHONVER)
+PYTHON=python
 endif
 
 build: build-stamp

=== debian/changelog ===
pykcs11 (1.2.4-1) unstable; urgency=low

  * New upstream release
  * debian/control: Standards-Version: 3.9.2 -> 3.9.3. No change needed.

 -- Ludovic Rousseau <rousseau@debian.org>  Sat, 21 Apr 2012 10:02:35 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Maintainer: Ludovic Rousseau <rousseau@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>, David Smith <davidsmith@acm.org>
 Build-Depends: debhelper (>= 7.0.0), swig, python-all-dev (>= 2.6.6-3)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Section: python
 Vcs-Svn: svn://svn.debian.org/python-modules/packages/pykcs11/trunk
 Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/pykcs11/trunk/

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with python2 --buildsystem=python_distutils

## pykcs11 1.3.0

=== Makefile ===
--- 
+++ 
@@ -3,6 +3,10 @@
 DESTDIR ?= /
 ifeq (, $(PYTHON))
 PYTHON=python
+endif
+IS_PYTHON_3 = $(shell python -c 'import sys; print(sys.version_info[0] >= 3)')
+ifeq ($(IS_PYTHON_3), True)
+SWIG_OPTS := -py3
 endif
 
 build: build-stamp
@@ -25,7 +29,7 @@
 rebuild: clean build
 
 src/unix_pykcs11_wrap.cpp: src/pykcs11.i
-	cd src ; swig -c++ -python pykcs11.i ; mv pykcs11_wrap.cxx unix_pykcs11_wrap.cpp ; mv LowLevel.py ../PyKCS11
+	cd src ; swig -c++ -python $(SWIG_OPTS) pykcs11.i ; mv pykcs11_wrap.cxx unix_pykcs11_wrap.cpp ; mv LowLevel.py ../PyKCS11
 
 src/pykcs11.i: src/opensc/pkcs11.h src/pkcs11lib.h src/pykcs11string.h src/ck_attribute_smart.h
 	touch $@

=== debian/changelog ===
pykcs11 (1.3.0-1) unstable; urgency=low

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Ludovic Rousseau ]
  * update Homepage: field
  * New upstream release
  * use dh compatibility level 9 to get hardening
  * move to Python 3.x
  * debian/control: Standards-Version: 3.9.3 -> 3.9.5. No change needed.

 -- Ludovic Rousseau <rousseau@debian.org>  Sat, 26 Jul 2014 13:47:26 +0200

=== debian/control ===
Source: pykcs11
Priority: optional
Maintainer: Ludovic Rousseau <rousseau@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>, David Smith <davidsmith@acm.org>
Build-Depends: debhelper (>= 9), swig, python3-all-dev
Standards-Version: 3.9.5
Section: python
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/pykcs11/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/pykcs11/trunk/
Homepage: http://sourceforge.net/projects/pkcs11wrap/

Package: python3-pykcs11
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
Description: PKCS#11 wrapper for Python
 PyKCS11 let you access to almost all PKCS#11 functions and data types using
 any PKCS#11 library, such as the various modules supplied by smartcard
 vendors.
 .
 The wrapper comes with 2 interfaces: a low level and very thin interface over
 the original PKCS#11 API, generated using the SWIG compiler (designed for
 library tests); and an high level interface that offers a simpler access (with
 few limits) to the PKCS#11 APIs.
 .
 Keywords: pkcs11

=== debian/rules ===
#!/usr/bin/make -f

%:
	PYTHON=python3 dh $@ --with python3

## pykcs11 1.3.2

=== Makefile ===
# give some default values
PREFIX ?= /usr
DESTDIR ?= /
ifeq (, $(PYTHON))
PYTHON=python
endif
IS_PYTHON_3 = $(shell python -c 'import sys; print(sys.version_info[0] >= 3)')
ifeq ($(IS_PYTHON_3), True)
SWIG_OPTS := -py3
endif

build: build-stamp

build-stamp: src/pykcs11_wrap.cpp
	$(PYTHON) setup.py build
	touch build-stamp

install: build
	$(PYTHON) setup.py install --prefix=$(PREFIX) --root=$(DESTDIR)

clean distclean:
	$(PYTHON) setup.py clean
	rm -f src/pykcs11_wrap.cpp
	rm -rf build
	rm -f *.pyc PyKCS11/*.pyc
	rm -f PyKCS11/LowLevel.py
	rm -f build-stamp

rebuild: clean build

src/pykcs11_wrap.cpp: src/pykcs11.i
	cd src ; swig -c++ -python $(SWIG_OPTS) pykcs11.i ; mv pykcs11_wrap.cxx pykcs11_wrap.cpp ; mv LowLevel.py ../PyKCS11

src/pykcs11.i: src/opensc/pkcs11.h src/pkcs11lib.h src/pykcs11string.h src/ck_attribute_smart.h
	touch $@

dist: clean
	$(PYTHON) setup.py sdist

pypi: clean
	$(PYTHON) setup.py sdist upload

doc: build
	rm -rf html
	epydoc --verbose PyKCS11

doc-upload: doc
	mv html api
	scp -r api ludov@web.sourceforge.net:/home/project-web/pkcs11wrap/htdocs

.PHONY: build install clean rebuild dist doc

=== debian/changelog ===
pykcs11 (1.3.2-1) unstable; urgency=medium

  * new upstream version

 -- Ludovic Rousseau <rousseau@debian.org>  Wed, 27 Jan 2016 20:28:17 +0100

pykcs11 (1.3.1-2) unstable; urgency=medium

  [ Scott Kitterman ]
  * Team upload.
  * Build for all supported python3 versions (this is better than the fix
    proposed in #793553)
    - Change python3-dev build-dep back to python3-all-dev
    - Update debian/rules to loop over the list of supported python3 versions
      during build/install (debian/rules is now doing explicitly for each
      python3 what it was doing implicitly via the makefile before)

 -- Ludovic Rousseau <rousseau@debian.org>  Thu, 31 Dec 2015 18:44:20 +0100

pykcs11 (1.3.1-1) unstable; urgency=medium

  * new upstream version

 -- Ludovic Rousseau <rousseau@debian.org>  Fri, 23 Oct 2015 11:57:38 +0200

pykcs11 (1.3.0-2) unstable; urgency=medium

  * Fix "Please replace python3-all-dev build-dependency with python3-
    dev" proposed patch applied (Closes: #793553)
  * debian/copyright: do not duplicate the GNU GPL v2 license
  * debian/control: Standards-Version: 3.9.5 -> 3.9.6. No change needed.
  * debian/control: remove David Smith from Uploaders: I do not remember him
    doing an upload.

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 09 Aug 2015 15:55:50 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: pykcs11
 Priority: optional
 Maintainer: Ludovic Rousseau <rousseau@debian.org>
-Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>, David Smith <davidsmith@acm.org>
+Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 9), swig, python3-all-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Section: python
-Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/pykcs11/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/pykcs11/trunk/
+Vcs-Git: git://anonscm.debian.org/python-modules/packages/pykcs11.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/pykcs11.git
 Homepage: http://sourceforge.net/projects/pkcs11wrap/
 
 Package: python3-pykcs11

=== debian/rules ===
#!/usr/bin/make -f

build3vers := $(shell py3versions -sv)

%:
	dh $@ --with python3

override_dh_auto_build:
	set -e && for i in $(build3vers); do \
	  cd src ; swig -c++ -python  pykcs11.i ; cp pykcs11_wrap.cxx pykcs11_wrap.cpp ; cp LowLevel.py ../PyKCS11 ; \
	  cd .. ; python$$i setup.py build; \
	done


override_dh_auto_install:
	set -e && for i in $(build3vers); do \
	  python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/python3-pykcs11; \
	done

override_dh_auto_clean:
	python3 setup.py clean

=== debian/watch ===
version=3
http://sf.net/pkcs11wrap/PyKCS11-(.*)\.tar\.gz

## pykcs11 1.3.3

=== debian/changelog ===
pykcs11 (1.3.3-1) unstable; urgency=medium

  * New upstream release
  * debian/control: Standards-Version: 3.9.6 -> 3.9.8. No change needed.

 -- Ludovic Rousseau <rousseau@debian.org>  Tue, 01 Nov 2016 17:02:19 +0100

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Maintainer: Ludovic Rousseau <rousseau@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 9), swig, python3-all-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Section: python
-Vcs-Git: git://anonscm.debian.org/python-modules/packages/pykcs11.git
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/pykcs11.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/pykcs11.git
 Homepage: http://sourceforge.net/projects/pkcs11wrap/

## pykcs11 1.4.1

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 ifeq (, $(PYTHON))
 PYTHON=python
 endif
-IS_PYTHON_3 = $(shell python -c 'import sys; print(sys.version_info[0] >= 3)')
+IS_PYTHON_3 = $(shell $(PYTHON) -c 'import sys; print(sys.version_info[0] >= 3)')
 ifeq ($(IS_PYTHON_3), True)
 SWIG_OPTS := -py3
 endif

=== debian/changelog ===
pykcs11 (1.4.1-1) unstable; urgency=medium

  * New upstream release

 -- Ludovic Rousseau <rousseau@debian.org>  Sat, 11 Feb 2017 14:32:14 +0100

pykcs11 (1.4.0-1) unstable; urgency=medium

  * New upstream release

 -- Ludovic Rousseau <rousseau@debian.org>  Sat, 04 Feb 2017 18:33:05 +0100

## pykcs11 1.4.3

=== Makefile ===
--- 
+++ 
@@ -1,13 +1,9 @@
 # give some default values
-PREFIX ?= /usr
 DESTDIR ?= /
 ifeq (, $(PYTHON))
 PYTHON=python
 endif
-IS_PYTHON_3 = $(shell $(PYTHON) -c 'import sys; print(sys.version_info[0] >= 3)')
-ifeq ($(IS_PYTHON_3), True)
-SWIG_OPTS := -py3
-endif
+PREFIX ?= $(shell $(PYTHON) -c 'import sys; print(sys.prefix)')
 
 build: build-stamp
 
@@ -24,12 +20,14 @@
 	rm -rf build
 	rm -f *.pyc PyKCS11/*.pyc
 	rm -f PyKCS11/LowLevel.py
+	rm -f PyKCS11/_LowLevel*
 	rm -f build-stamp
+	rm -f tests/*.pyc
 
 rebuild: clean build
 
 src/pykcs11_wrap.cpp: src/pykcs11.i
-	cd src ; swig -c++ -python $(SWIG_OPTS) pykcs11.i ; mv pykcs11_wrap.cxx pykcs11_wrap.cpp ; mv LowLevel.py ../PyKCS11
+	cd src ; swig -c++ -python pykcs11.i ; mv pykcs11_wrap.cxx pykcs11_wrap.cpp ; mv LowLevel.py ../PyKCS11/
 
 src/pykcs11.i: src/opensc/pkcs11.h src/pkcs11lib.h src/pykcs11string.h src/ck_attribute_smart.h
 	touch $@
@@ -40,6 +38,17 @@
 pypi: clean
 	$(PYTHON) setup.py sdist upload
 
+prepare4test: build
+	cd PyKCS11 ; ln -sf ../build/lib.*/PyKCS11/_LowLevel*.so
+
+tests: prepare4test
+	$(PYTHON) run_test.py
+
+coverage: prepare4test
+	coverage run run_test.py
+	coverage report
+	coverage html
+
 doc: build
 	rm -rf html
 	epydoc --verbose PyKCS11

=== debian/changelog ===
pykcs11 (1.4.3-1build1) artful; urgency=medium

  * No change rebuild to drop Python 3.5 support.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 04 Aug 2017 16:27:55 +1200

pykcs11 (1.4.3-1) unstable; urgency=medium

  * New upstream release

 -- Ludovic Rousseau <rousseau@debian.org>  Sat, 24 Jun 2017 16:30:47 +0200

pykcs11 (1.4.2-1) unstable; urgency=medium

  * New upstream release

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 21 May 2017 15:24:43 +0200

## pykcs11 1.4.4

=== Makefile ===
--- 
+++ 
@@ -54,6 +54,7 @@
 	epydoc --verbose PyKCS11
 
 doc-upload: doc
+	rm -r api
 	mv html api
 	scp -r api ludov@web.sourceforge.net:/home/project-web/pkcs11wrap/htdocs

=== debian/changelog ===
pykcs11 (1.4.4-2) unstable; urgency=medium

  * Upgrade to debhelper compat 10 (from 9)
  * Use hardening=+all
  * debian/watch: check PGP signature

 -- Ludovic Rousseau <rousseau@debian.org>  Thu, 04 Jan 2018 21:47:11 +0100

pykcs11 (1.4.4-1) unstable; urgency=medium

  * New upstream release

 -- Ludovic Rousseau <rousseau@debian.org>  Wed, 11 Oct 2017 14:43:38 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: optional
 Maintainer: Ludovic Rousseau <rousseau@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 9), swig, python3-all-dev
+Build-Depends: debhelper (>= 10), swig, python3-all-dev
 Standards-Version: 3.9.8
 Section: python
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/pykcs11.git

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,10 @@
 #!/usr/bin/make -f
 
 build3vers := $(shell py3versions -sv)
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
 
 %:
 	dh $@ --with python3

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
    http://sf.net/pkcs11wrap/PyKCS11-(.*)\.tar\.gz

## pykcs11 1.5.0

=== Makefile ===
--- 
+++ 
@@ -4,11 +4,13 @@
 PYTHON=python
 endif
 PREFIX ?= $(shell $(PYTHON) -c 'import sys; print(sys.prefix)')
+COVERAGE ?= coverage
 
 build: build-stamp
 
-build-stamp: src/pykcs11_wrap.cpp
+build-stamp:
 	$(PYTHON) setup.py build
+	cp src/LowLevel.py PyKCS11/
 	touch build-stamp
 
 install: build
@@ -26,9 +28,6 @@
 
 rebuild: clean build
 
-src/pykcs11_wrap.cpp: src/pykcs11.i
-	cd src ; swig -c++ -python pykcs11.i ; mv pykcs11_wrap.cxx pykcs11_wrap.cpp ; mv LowLevel.py ../PyKCS11/
-
 src/pykcs11.i: src/opensc/pkcs11.h src/pkcs11lib.h src/pykcs11string.h src/ck_attribute_smart.h
 	touch $@
 
@@ -45,9 +44,9 @@
 	$(PYTHON) run_test.py
 
 coverage: prepare4test
-	coverage run run_test.py
-	coverage report
-	coverage html
+	$(COVERAGE) run run_test.py
+	$(COVERAGE) report
+	$(COVERAGE) html
 
 doc: build
 	rm -rf html

=== debian/changelog ===
pykcs11 (1.5.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Ludovic Rousseau ]
  * New upstream release

 -- Ludovic Rousseau <rousseau@debian.org>  Mon, 26 Mar 2018 21:52:47 +0200

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Build-Depends: debhelper (>= 10), swig, python3-all-dev
 Standards-Version: 3.9.8
 Section: python
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/pykcs11.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/pykcs11.git
+Vcs-Git: https://salsa.debian.org/python-team/modules/pykcs11.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/pykcs11
 Homepage: http://sourceforge.net/projects/pkcs11wrap/
 
 Package: python3-pykcs11

## pykcs11 1.5.2

=== Makefile ===
--- 
+++ 
@@ -10,7 +10,6 @@
 
 build-stamp:
 	$(PYTHON) setup.py build
-	cp src/LowLevel.py PyKCS11/
 	touch build-stamp
 
 install: build

=== debian/changelog ===
pykcs11 (1.5.2-1build1) cosmic; urgency=medium

  * No-change rebuild to build for python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 28 Jun 2018 06:54:19 +0000

pykcs11 (1.5.2-1) unstable; urgency=medium

  * New upstream release

 -- Ludovic Rousseau <rousseau@debian.org>  Thu, 12 Apr 2018 16:09:48 +0200

pykcs11 (1.5.1-2) unstable; urgency=medium

  [ Piotr Ożarowski ]
  * Add dh-python to Build-Depends

 -- Ludovic Rousseau <rousseau@debian.org>  Thu, 12 Apr 2018 15:40:01 +0200

pykcs11 (1.5.1-1) unstable; urgency=medium

  * New upstream release
  * d/rules: only call setup.py to simplify the build

 -- Ludovic Rousseau <rousseau@debian.org>  Fri, 30 Mar 2018 11:16:22 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: optional
 Maintainer: Ludovic Rousseau <rousseau@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 10), swig, python3-all-dev
+Build-Depends: debhelper (>= 10), dh-python, swig, python3-all-dev
 Standards-Version: 3.9.8
 Section: python
 Vcs-Git: https://salsa.debian.org/python-team/modules/pykcs11.git

## pykcs11 1.5.3

=== Makefile ===
--- 
+++ 
@@ -47,13 +47,12 @@
 	$(COVERAGE) report
 	$(COVERAGE) html
 
-doc: build
-	rm -rf html
-	epydoc --verbose PyKCS11
+doc:
+	cd docs ; ./generate.sh
 
 doc-upload: doc
 	rm -r api
-	mv html api
+	mv docs/_build/html api
 	scp -r api ludov@web.sourceforge.net:/home/project-web/pkcs11wrap/htdocs
 
 .PHONY: build install clean rebuild dist doc

=== debian/changelog ===
pykcs11 (1.5.3-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Convert git repository from git-dpm to gbp layout
  * d/watch: Use https protocol

  [ Ludovic Rousseau ]
  * new upstream release
  * d/control: Standards-Version: 3.9.8 -> 4.2.1. No change needed.
  * d/compat: move from 10 to 11

 -- Ludovic Rousseau <rousseau@debian.org>  Fri, 12 Oct 2018 16:07:53 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Priority: optional
 Maintainer: Ludovic Rousseau <rousseau@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 10), dh-python, swig, python3-all-dev
-Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 11), dh-python, swig, python3-all-dev
+Standards-Version: 4.2.1
 Section: python
 Vcs-Git: https://salsa.debian.org/python-team/modules/pykcs11.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/pykcs11

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
    https://sf.net/pkcs11wrap/PyKCS11-(.*)\.tar\.gz

## pykcs11 1.5.5

=== debian/changelog ===
pykcs11 (1.5.5-3) unstable; urgency=medium

  * new upload, no change

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 04 Aug 2019 18:09:45 +0200

pykcs11 (1.5.5-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Ludovic Rousseau ]
  * rebuild for source only upload

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 04 Aug 2019 17:46:26 +0200

pykcs11 (1.5.5-1) unstable; urgency=medium

  * New upstream release
  * d/control: Build-Depends: python3-setuptools
  * d/upstream/signing-key.asc: remove extra signatures
  * d/control: Standards-Version: 4.2.1 -> 4.3.0. No change needed.

 -- Ludovic Rousseau <rousseau@debian.org>  Wed, 17 Apr 2019 18:03:07 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Priority: optional
 Maintainer: Ludovic Rousseau <rousseau@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 11), dh-python, swig, python3-all-dev
-Standards-Version: 4.2.1
+Build-Depends: debhelper-compat (= 11), dh-python, swig, python3-all-dev, python3-setuptools
+Standards-Version: 4.4.0
 Section: python
 Vcs-Git: https://salsa.debian.org/python-team/modules/pykcs11.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/pykcs11

## pykcs11 1.5.7

=== Makefile ===
--- 
+++ 
@@ -23,7 +23,7 @@
 	rm -f PyKCS11/LowLevel.py
 	rm -f PyKCS11/_LowLevel*
 	rm -f build-stamp
-	rm -f tests/*.pyc
+	rm -f test/*.pyc
 
 rebuild: clean build
 
@@ -31,10 +31,12 @@
 	touch $@
 
 dist: clean
-	$(PYTHON) setup.py sdist
+	$(PYTHON) setup.py sdist bdist_wheel
 
 pypi: clean
-	$(PYTHON) setup.py sdist upload
+	rm -rf dist
+	$(PYTHON) setup.py sdist bdist_wheel
+	$(PYTHON) -m twine upload dist/*
 
 prepare4test: build
 	cd PyKCS11 ; ln -sf ../build/lib.*/PyKCS11/_LowLevel*.so

=== debian/changelog ===
pykcs11 (1.5.7-1build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:22:01 +0100

pykcs11 (1.5.7-1) unstable; urgency=medium

  * New upstream version
  * d/control: upgrade debhelper from 11 to 12. Fix lintian warning:
    P: pykcs11 source: package-uses-old-debhelper-compat-version 11
  * d/control: use "Rules-Requires-Root: no". Fix lintian warning:
    P: pykcs11 source: rules-requires-root-missing

 -- Ludovic Rousseau <rousseau@debian.org>  Wed, 18 Dec 2019 18:32:09 +0100

pykcs11 (1.5.6-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Ludovic Rousseau ]
  * New upstream version

 -- Ludovic Rousseau <rousseau@debian.org>  Wed, 18 Dec 2019 17:52:31 +0100

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,10 @@
 Priority: optional
 Maintainer: Ludovic Rousseau <rousseau@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Build-Depends: debhelper-compat (= 11), dh-python, swig, python3-all-dev, python3-setuptools
-Standards-Version: 4.4.0
+Build-Depends: debhelper-compat (= 12), dh-python, swig, python3-all-dev, python3-setuptools
+Standards-Version: 4.4.1
 Section: python
+Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/python-team/modules/pykcs11.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/pykcs11
 Homepage: http://sourceforge.net/projects/pkcs11wrap/

## pykcs11 1.5.9

=== debian/changelog ===
pykcs11 (1.5.9-1) unstable; urgency=medium

  * New upstream version

 -- Ludovic Rousseau <rousseau@debian.org>  Fri, 31 Jul 2020 15:51:25 +0200

pykcs11 (1.5.8-1) unstable; urgency=medium

  * New upstream version
  * d/control: Standards-Version: 4.4.1 -> 4.5.0. No change needed.
  * d/control: Move from debhelper-compat 12 to 13

 -- Ludovic Rousseau <rousseau@debian.org>  Fri, 15 May 2020 16:31:45 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Priority: optional
 Maintainer: Ludovic Rousseau <rousseau@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Build-Depends: debhelper-compat (= 12), dh-python, swig, python3-all-dev, python3-setuptools
-Standards-Version: 4.4.1
+Build-Depends: debhelper-compat (= 13), dh-python, swig, python3-all-dev, python3-setuptools
+Standards-Version: 4.5.0
 Section: python
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/python-team/modules/pykcs11.git

## pykcs11 1.5.10

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # give some default values
 DESTDIR ?= /
 ifeq (, $(PYTHON))
-PYTHON=python
+PYTHON=python3
 endif
 PREFIX ?= $(shell $(PYTHON) -c 'import sys; print(sys.prefix)')
 COVERAGE ?= coverage

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = PyKCS11
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
pykcs11 (1.5.10-2) unstable; urgency=medium

  [ Sandro Tosi ]
  * Use the new Debian Python Team contact name and address

  [ Debian Janitor ]
  * debian/copyright: Replace commas with whitespace to separate items in Files
    paragraph.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Name,
    Repository, Repository-Browse.

 -- Sandro Tosi <morph@debian.org>  Thu, 02 Jun 2022 21:23:17 -0400

pykcs11 (1.5.10-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Ludovic Rousseau ]
  * New upstream version
  * d/watch: upgrade version from 3 to 4
  * d/control: Standards-Version: 4.5.0 -> 4.5.1. No change needed.

 -- Ludovic Rousseau <rousseau@debian.org>  Thu, 31 Dec 2020 15:52:46 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: pykcs11
 Priority: optional
 Maintainer: Ludovic Rousseau <rousseau@debian.org>
-Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Uploaders: Debian Python Team <team+python@tracker.debian.org>
 Build-Depends: debhelper-compat (= 13), dh-python, swig, python3-all-dev, python3-setuptools
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Section: python
 Rules-Requires-Root: no
-Vcs-Git: https://salsa.debian.org/python-team/modules/pykcs11.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/pykcs11
+Vcs-Git: https://salsa.debian.org/python-team/packages/pykcs11.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/pykcs11
 Homepage: http://sourceforge.net/projects/pkcs11wrap/
 
 Package: python3-pykcs11

## pykcs11 1.5.11

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 PYTHON=python3
 endif
 PREFIX ?= $(shell $(PYTHON) -c 'import sys; print(sys.prefix)')
-COVERAGE ?= coverage
+COVERAGE ?= python3-coverage
 
 build: build-stamp
 
@@ -18,6 +18,7 @@
 clean distclean:
 	$(PYTHON) setup.py clean
 	rm -f src/pykcs11_wrap.cpp
+	rm -f src/LowLevel.py
 	rm -rf build
 	rm -f *.pyc PyKCS11/*.pyc
 	rm -f PyKCS11/LowLevel.py
@@ -45,6 +46,7 @@
 	$(PYTHON) run_test.py
 
 coverage: prepare4test
+	$(COVERAGE) erase
 	$(COVERAGE) run run_test.py
 	$(COVERAGE) report
 	$(COVERAGE) html

=== debian/changelog ===
pykcs11 (1.5.11-1build1) lunar; urgency=medium

  * Rebuild to drop Python 3.10 extension

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 28 Feb 2023 19:24:37 -0500

pykcs11 (1.5.11-1) unstable; urgency=medium

  * New upstream version
  * d/control: Standards-Version: 4.5.1 -> 4.6.1. No change needed.

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 04 Sep 2022 17:05:26 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Maintainer: Ludovic Rousseau <rousseau@debian.org>
 Uploaders: Debian Python Team <team+python@tracker.debian.org>
 Build-Depends: debhelper-compat (= 13), dh-python, swig, python3-all-dev, python3-setuptools
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Section: python
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/python-team/packages/pykcs11.git

## pykcs11 1.5.12

=== Makefile ===
--- 
+++ 
@@ -51,11 +51,15 @@
 	$(COVERAGE) report
 	$(COVERAGE) html
 
+tox:
+	./get_PYKCS11LIB.py > tox.env
+	tox
+
 doc:
 	cd docs ; ./generate.sh
 
 doc-upload: doc
-	rm -r api
+	rm -rf api
 	mv docs/_build/html api
 	scp -r api ludov@web.sourceforge.net:/home/project-web/pkcs11wrap/htdocs

=== debian/changelog ===
pykcs11 (1.5.12-2) unstable; urgency=medium

  * d/rules: extend clean target to remove _LowLevel.*.so file
    (Closes: #1047917)
  * d/source/options: ignore changes on generated egg files

 -- Ludovic Rousseau <rousseau@debian.org>  Mon, 14 Aug 2023 15:18:49 +0200

pykcs11 (1.5.12-1) unstable; urgency=medium

  * New upstream version
  * d/control: Standards-Version: 4.6.1 -> 4.6.2. No change needed.
  * add autopkgtests

 -- Ludovic Rousseau <rousseau@debian.org>  Mon, 10 Apr 2023 12:35:03 +0200

=== debian/rules ===
--- 
+++ 
@@ -11,10 +11,8 @@
 
 override_dh_auto_build:
 	set -e && for i in $(build3vers); do \
-	  cd src ; swig -c++ -python  pykcs11.i ; cp pykcs11_wrap.cxx pykcs11_wrap.cpp ; cp LowLevel.py ../PyKCS11 ; \
-	  cd .. ; python$$i setup.py build; \
+	  python$$i setup.py build; \
 	done
-
 
 override_dh_auto_install:
 	set -e && for i in $(build3vers); do \
@@ -22,4 +20,5 @@
 	done
 
 override_dh_auto_clean:
-	python3 setup.py clean
+	dh_clean
+	make clean

## pykcs11 1.5.14

=== debian/changelog ===
pykcs11 (1.5.14-1build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 11 Apr 2024 11:18:12 +0000

pykcs11 (1.5.14-1) unstable; urgency=medium

  * New upstream version
  * Remove d/p/get_PYKCS11LIB included upstream

 -- Ludovic Rousseau <rousseau@debian.org>  Sat, 03 Feb 2024 18:58:02 +0100

pykcs11 (1.5.13-1) unstable; urgency=medium

  * New upstream version
  * Add d/p/get_PYKCS11LIB: add missing get_PYKCS11LIB.py
  * Do not run tests at build time
  * reformat Build-Depends:
  * Add pybuild-plugin-pyproject to Build-Depends:

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 07 Jan 2024 15:12:07 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,13 @@
 Priority: optional
 Maintainer: Ludovic Rousseau <rousseau@debian.org>
 Uploaders: Debian Python Team <team+python@tracker.debian.org>
-Build-Depends: debhelper-compat (= 13), dh-python, swig, python3-all-dev, python3-setuptools
-Standards-Version: 4.6.1
+Build-Depends: debhelper-compat (= 13),
+	dh-python,
+	python3-all-dev,
+	python3-setuptools,
+	pybuild-plugin-pyproject,
+	swig
+Standards-Version: 4.6.2
 Section: python
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/python-team/packages/pykcs11.git

## pykcs11 1.5.16

=== debian/changelog ===
pykcs11 (1.5.16-1) unstable; urgency=medium

  * New upstream version

 -- Ludovic Rousseau <rousseau@debian.org>  Fri, 24 May 2024 17:58:22 +0200

pykcs11 (1.5.15-1) unstable; urgency=medium

  * New upstream version

 -- Ludovic Rousseau <rousseau@debian.org>  Wed, 17 Apr 2024 15:59:04 +0200

## pykcs11 1.5.17

=== Makefile ===
# give some default values
ifeq (, $(PYTHON))
PYTHON=python3
endif
COVERAGE ?= python3-coverage

build:
	$(PYTHON) -m build

install:
	$(PYTHON) -m pip install --editable .

clean distclean:
	$(PYTHON) setup.py clean
	rm -f src/pykcs11_wrap.cpp
	rm -f src/LowLevel.py
	rm -rf build
	rm -f *.pyc PyKCS11/*.pyc
	rm -f PyKCS11/LowLevel.py
	rm -f PyKCS11/_LowLevel*
	rm -f build-stamp
	rm -f test/*.pyc

src/pykcs11.i: src/opensc/pkcs11.h src/pkcs11lib.h src/pykcs11string.h src/ck_attribute_smart.h
	touch $@

pypi: clean
	rm -rf dist
	$(PYTHON) -m build
	$(PYTHON) -m twine upload dist/*

test:
	$(PYTHON) run_test.py

coverage:
	$(COVERAGE) erase
	$(COVERAGE) run run_test.py
	$(COVERAGE) report
	$(COVERAGE) html

tox:
	./get_PYKCS11LIB.py > tox.env
	tox

doc:
	cd docs ; ./generate.sh

doc-upload: doc
	rm -rf api
	mv docs/_build/html api
	scp -r api ludov@web.sourceforge.net:/home/project-web/pkcs11wrap/htdocs

.PHONY: build install clean doc test

=== debian/changelog ===
pykcs11 (1.5.17-1build2) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 22:56:06 +0000

pykcs11 (1.5.17-1build1) plucky; urgency=medium

  * SRU: #2083480: No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 13 Nov 2024 09:59:53 +0100

pykcs11 (1.5.17-1) unstable; urgency=medium

  * New upstream version
  * d/control: Standards-Version: 4.6.2 -> 4.7.0. No change needed.

 -- Ludovic Rousseau <rousseau@debian.org>  Wed, 16 Oct 2024 13:50:45 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 	python3-setuptools,
 	pybuild-plugin-pyproject,
 	swig
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Section: python
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/python-team/packages/pykcs11.git

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
    https://sf.net/pkcs11wrap/PyKCS11-(.*)\.tar\.gz

## pykcs11 1.5.18

=== Makefile ===
--- 
+++ 
@@ -6,6 +6,11 @@
 
 build:
 	$(PYTHON) -m build
+
+constants:
+	mv PyKCS11/__init__.py PyKCS11/__init__.py.x
+	$(PYTHON) generate_constants.py > PyKCS11/constants.py
+	mv PyKCS11/__init__.py.x PyKCS11/__init__.py
 
 install:
 	$(PYTHON) -m pip install --editable .
@@ -20,6 +25,7 @@
 	rm -f PyKCS11/_LowLevel*
 	rm -f build-stamp
 	rm -f test/*.pyc
+	find . -name .DS_Store -exec rm {} \;
 
 src/pykcs11.i: src/opensc/pkcs11.h src/pkcs11lib.h src/pykcs11string.h src/ck_attribute_smart.h
 	touch $@
@@ -30,7 +36,7 @@
 	$(PYTHON) -m twine upload dist/*
 
 test:
-	$(PYTHON) run_test.py
+	$(PYTHON) run_pytest.py
 
 coverage:
 	$(COVERAGE) erase
@@ -42,6 +48,10 @@
 	./get_PYKCS11LIB.py > tox.env
 	tox
 
+pylint:
+	$(PYTHON) -m pylint PyKCS11
+	$(PYTHON) -m pylint samples
+
 doc:
 	cd docs ; ./generate.sh

=== docs/Makefile ===


=== debian/changelog ===
pykcs11 (1.5.18-1) unstable; urgency=medium

  * New upstream version
  * d/copyright: update FSF address
  * d/control Standards-Version: 4.7.0 -> 4.7.2. No change needed.
  * d/copyright: upgrade to DEP5 format

 -- Ludovic Rousseau <rousseau@debian.org>  Wed, 27 Aug 2025 12:11:34 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 	python3-setuptools,
 	pybuild-plugin-pyproject,
 	swig
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Section: python
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/python-team/packages/pykcs11.git

=== debian/rules ===
--- 
+++ 
@@ -22,3 +22,7 @@
 override_dh_auto_clean:
 	dh_clean
 	make clean
+
+override_dh_auto_test:
+	# tests can't run since SoftHSM is not installed and configured
+	# tests will be run by autopkgtest on salsa.debian.org CI/CD

=== debian/tests/control ===
Tests: unittest
Depends: @, python3, softhsm2, python3-asn1crypto
Restrictions: needs-sudo, allow-stderr

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
    https://sf.net/pkcs11wrap/pykcs11-(.*)\.tar\.gz
